package jeuBalle;

import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class Afficheur extends JPanel {

	public static final int TAILLE_BALLE = 10;

	/**
	 * l'afficheur connait la balle
	 */
	private Balle balle;

	/**
	 * on construit un afficheur avec une balle
	 * 
	 * @param b
	 *            balle a afficher
	 */
	public Afficheur(Balle b) {
		this.balle = b;
		this.setPreferredSize(new Dimension(600, 400));
		
		//on construit unt JFrame
		JFrame f=new JFrame();
		f.setContentPane(this);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.pack();
		f.setVisible(true);
	}

	/**
	 * on surcharge la methode d'affichage du JPanel
	 */
	public void paint(Graphics g) {
		// on efface la page
		super.paint(g);

		// on inverse axe Y
		int balleX = (int) this.balle.x;
		int balleY = 300 - (int) this.balle.y;

		// on affiche la balle
		g.fillOval(balleX, balleY, TAILLE_BALLE, TAILLE_BALLE);
	}
	
	/**
	 * demande mise  jour affichage
	 */
	public void render()
	{
		this.repaint();
	}

}
