package jeuBalle;

import moteur.Jeu;

/**
 * la classe jeu Balle est un jeu avec une balle qui rebondit
 * 
 * @author vthomas
 * 
 */

public class JeuBalle implements Jeu {

	/**
	 * balle contenue dans le jeu
	 */
	private Balle balle;

	/**
	 * l'afficheur
	 */
	private Afficheur afficheur;
	
	public JeuBalle() {
		//on construit une balle
		this.balle=new Balle();
		//on construit son afficheur
		this.afficheur=new Afficheur(this.balle);
	}

	/**
	 * mettre a jour le modele du monde consiste a faire evoluer la balle
	 * 
	 * @param dt
	 *            le pas de temps d'evolution
	 */
	public void update(double dt) {
		this.balle.evoluer(dt);
	}

	/**
	 * demander la mise a jour de l'affichage consiste a appeler repaint
	 */
	public void render() {
		this.afficheur.render();
	}

}
